Bug 64843 - V8 binding: unable to use [Reflect] on some attributes
: V8 binding: unable to use [Reflect] on some attributes
Status: RESOLVED INVALID
Product: WebKit
Classification: Unclassified
Component: WebCore Misc.
: 528+ (Nightly build)
: Unspecified Unspecified
: P2 Normal
Assigned To: Nobody
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2011-07-19 18:50 PDT by Leo Yang
Modified: 2013-07-02 07:01 PDT (History)
3 users (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Leo Yang 2011-07-19 18:50:34 PDT
For V8 binding, some svg attribute like glyphRef can not be applied [Reflect] in idl file. Seems the generator converts the attribute to lower case. As a result, it will generate undefined identifier, like SVGNames::glyphrefAttr instead of SVGNames::glyphRefAttr.
Comment 1 Vineet Chaudhary (vineetc) 2012-07-31 04:05:57 PDT
(In reply to comment #0)
> For V8 binding, some svg attribute like glyphRef can not be applied [Reflect] in idl file. Seems the generator converts the attribute to lower case. As a result, it will generate undefined identifier, like SVGNames::glyphrefAttr instead of SVGNames::glyphRefAttr.

Is this bug still valid? Do you have any example where we can use [Reflect] on attributes and generating wrong code.

For the case mentioned glyhRef part of SVGAltGlyphElement and per spec http://www.w3.org/TR/SVG/text.html#InterfaceSVGAltGlyphElement its shouldn't be [Reflect] or you have some specific reason to have it?
Comment 2 Chris Dumez 2013-07-02 07:01:08 PDT
The latest specification does not say anything about [Reflect]:
https://svgwg.org/svg2-draft/text.html#InterfaceSVGGlyphRefElement

Closing this bug report. Feel free to reopen and comment if you feel this is wrong.
Comment 3 Chris Dumez 2013-07-02 07:01:50 PDT
Also a V8 Bug.